### File

`packages/components/eui-timeline/eui-timeline-item.component.ts`

### Description

A timeline item component that represents a single event or activity within a timeline. Can display labels, dates, times, and custom content with various visual states.

### Implements

`AfterContentInit`

### Metadata

HostDirectives | `BaseStatesDirective` Inputs : euiSecondary euiPrimary euiSuccess euiInfo euiWarning euiDanger euiAccent euiVariant
selector | `eui-timeline-item`
templateUrl | `./eui-timeline-item.component.html`
styleUrl | `./eui-timeline-item.scss`

### Index

###### Properties
Public baseStatesDirective Public timelineComponent
###### Inputs
date dateStyleClass e2eAttr isGroup isLeftAligned label subLabel time timeStyleClass
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

date
Type : `string`

dateStyleClass
Type : `string`
Default value : `''`

e2eAttr
Type : `string`
Default value : `'eui-timeline-item'`

isGroup
Type : `boolean`

isLeftAligned
Type : `boolean`

label
Type : `string`

subLabel
Type : `string`

time
Type : `string`

timeStyleClass
Type : `string`
Default value : `''`

### HostBindings

class
Type : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`
Default value : `inject(BaseStatesDirective)`

Public timelineComponent
Type : `EuiTimelineComponent`
Default value : `inject(forwardRef(() => EuiTimelineComponent), { optional: true, host: true })`

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the timeline item Returns : `string`

# results matching ""

# No results matching ""